Kea: isc::dhcp::SubnetSelector Struct Reference

| Kea 3.0.2-git

isc::dhcp::SubnetSelector Struct Reference

Subnet selector used to specify parameters used to select a subnet. More...

`#include <subnet_selector.h>`

## Public Attributes
DHCPv4 specific parameters.
asiolink::IOAddress | ciaddr_
| ciaddr from the client's message.
asiolink::IOAddress | giaddr_
| giaddr from the client's message.
asiolink::IOAddress | option_select_
| RAI link select or subnet select option.

## DHCPv6 specific parameters.
OptionPtr | interface_id_
| Interface id option.
asiolink::IOAddress | first_relay_linkaddr_
| First relay link address.
asiolink::IOAddress | local_address_
| Address on which the message was received.
asiolink::IOAddress | remote_address_
| Source address of the message.
ClientClasses | client_classes_
| Classes that the client belongs to.
std::string | iface_name_
| Name of the interface on which the message was received.
bool | dhcp4o6_
| Specifies if the packet is DHCP4o6.
| SubnetSelector ()
| Default constructor.

## Detailed Description

Subnet selector used to specify parameters used to select a subnet.

This structure holds various parameters extracted from a packet sent by a DHCP client used to select the subnet for the client. This selector is common for IPv4 and IPv6 subnets.

Definition at line 23 of file subnet_selector.h.

## Constructor & Destructor Documentation

## ◆ SubnetSelector()

isc::dhcp::SubnetSelector::SubnetSelector | ( |  | ) |
| inline

Default constructor.

Sets the default values for the `Selector`.

Definition at line 57 of file subnet_selector.h.

References ciaddr_, client_classes_, dhcp4o6_, first_relay_linkaddr_, giaddr_, iface_name_, interface_id_, local_address_, option_select_, and remote_address_.

## Member Data Documentation

## ◆ ciaddr_

asiolink::IOAddress isc::dhcp::SubnetSelector::ciaddr_

ciaddr from the client's message.

Definition at line 27 of file subnet_selector.h.

Referenced by SubnetSelector(), isc::dhcp::CfgSubnets4::initSelector(), isc::dhcp::CfgSubnets4::selectSubnet(), and isc::dhcp::Dhcpv4Srv::selectSubnet4o6().

## ◆ client_classes_

ClientClasses isc::dhcp::SubnetSelector::client_classes_

Classes that the client belongs to.

Definition at line 47 of file subnet_selector.h.

Referenced by SubnetSelector(), isc::dhcp::CfgSubnets4::initSelector(), isc::dhcp::CfgSubnets6::initSelector(), isc::dhcp::CfgSubnets4::selectSubnet(), isc::dhcp::CfgSubnets6::selectSubnet(), and isc::dhcp::Dhcpv4Srv::selectSubnet4o6().

## ◆ dhcp4o6_

bool isc::dhcp::SubnetSelector::dhcp4o6_

Specifies if the packet is DHCP4o6.

Definition at line 52 of file subnet_selector.h.

Referenced by SubnetSelector(), and isc::dhcp::Dhcpv4Srv::selectSubnet4o6().

## ◆ first_relay_linkaddr_

asiolink::IOAddress isc::dhcp::SubnetSelector::first_relay_linkaddr_

First relay link address.

Definition at line 39 of file subnet_selector.h.

Referenced by SubnetSelector(), isc::dhcp::CfgSubnets6::initSelector(), isc::dhcp::CfgSubnets6::selectSubnet(), and isc::dhcp::Dhcpv4Srv::selectSubnet4o6().

## ◆ giaddr_

asiolink::IOAddress isc::dhcp::SubnetSelector::giaddr_

giaddr from the client's message.

Definition at line 29 of file subnet_selector.h.

Referenced by SubnetSelector(), isc::dhcp::CfgSubnets4::initSelector(), isc::dhcp::CfgSubnets4::selectSubnet(), and isc::dhcp::Dhcpv4Srv::selectSubnet4o6().

## ◆ iface_name_

std::string isc::dhcp::SubnetSelector::iface_name_

Name of the interface on which the message was received.

Definition at line 49 of file subnet_selector.h.

Referenced by SubnetSelector(), isc::dhcp::CfgSubnets4::initSelector(), isc::dhcp::CfgSubnets6::initSelector(), isc::dhcp::CfgSubnets4::selectSubnet(), isc::dhcp::CfgSubnets6::selectSubnet(), isc::dhcp::CfgSubnets4::selectSubnet4o6(), and isc::dhcp::Dhcpv4Srv::selectSubnet4o6().

## ◆ interface_id_

OptionPtr isc::dhcp::SubnetSelector::interface_id_

Interface id option.

Definition at line 37 of file subnet_selector.h.

Referenced by SubnetSelector(), isc::dhcp::CfgSubnets6::initSelector(), isc::dhcp::CfgSubnets6::selectSubnet(), isc::dhcp::CfgSubnets4::selectSubnet4o6(), and isc::dhcp::Dhcpv4Srv::selectSubnet4o6().

## ◆ local_address_

asiolink::IOAddress isc::dhcp::SubnetSelector::local_address_

Address on which the message was received.

Definition at line 43 of file subnet_selector.h.

Referenced by SubnetSelector(), isc::dhcp::CfgSubnets4::initSelector(), isc::dhcp::CfgSubnets4::selectSubnet(), and isc::dhcp::Dhcpv4Srv::selectSubnet4o6().

## ◆ option_select_

asiolink::IOAddress isc::dhcp::SubnetSelector::option_select_

RAI link select or subnet select option.

Definition at line 31 of file subnet_selector.h.

Referenced by SubnetSelector(), isc::dhcp::CfgSubnets4::initSelector(), isc::dhcp::CfgSubnets4::selectSubnet(), and isc::dhcp::Dhcpv4Srv::selectSubnet4o6().

## ◆ remote_address_

asiolink::IOAddress isc::dhcp::SubnetSelector::remote_address_

Source address of the message.

Definition at line 45 of file subnet_selector.h.

Referenced by SubnetSelector(), isc::dhcp::CfgSubnets4::initSelector(), isc::dhcp::CfgSubnets6::initSelector(), isc::dhcp::CfgSubnets4::selectSubnet(), isc::dhcp::CfgSubnets6::selectSubnet(), isc::dhcp::CfgSubnets4::selectSubnet4o6(), and isc::dhcp::Dhcpv4Srv::selectSubnet4o6().

The documentation for this struct was generated from the following file:

- subnet_selector.h